VFS_PATH_LOOKUP(9)

NAME
vfs_path_lookup - lookup a file path relative to a dentry-vfsmount pair

SYNOPSIS

int vfs_path_lookup(struct dentry * dentry, struct vfsmount * mnt, const char * name, unsigned int flags, struct path * path);

ARGUMENTS

dentry
    pointer to dentry of the base directory

mnt
    pointer to vfs mount of the base directory

name
    pointer to file name

flags
    lookup flags

path
    pointer to struct path to fill

COPYRIGHT